Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.schedule.model
Interface ScheduleEntry

All Known Implementing Classes:
  DefaultScheduleEntry

public interface ScheduleEntry

A schedule entry is an appointment or event.

Version:
  $Revision$
Author:
  Jurgen Lust (latest modification by $Author$)

Method Summary
`java.lang.String` | `getDescription()`
`java.util.Date` | `getEndTime()`
`java.lang.String` | `getId()`
`java.util.Date` | `getStartTime()`
`java.lang.String` | `getSubtitle()`
`java.lang.String` | `getTitle()`

Method Detail

### getDescription

    public java.lang.String getDescription()

  Returns:
    Returns the description.

### getEndTime

    public java.util.Date getEndTime()

  Returns:
    Returns the endTime.

### getId

    public java.lang.String getId()

  Returns:
    Returns the id.

### getStartTime

    public java.util.Date getStartTime()

  Returns:
    Returns the startTime.

### getSubtitle

    public java.lang.String getSubtitle()

  Returns:
    Returns the subtitle.

### getTitle

    public java.lang.String getTitle()

  Returns:
    Returns the title.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD